# Note that this is NOT a relocatable package
%define ver      0.6.1
%define rel      3
%define prefix   /usr

Summary: gEdit is a small but powerful text editor for GNOME.
Name:      gedit
Version:   %ver
Release:   %rel
Copyright: GPL
Group: Applications/Editors
Source0:   ftp://ftp.gnome.org/pub/GNOME/sources/gedit/gedit-%{PACKAGE_VERSION}.tar.gz
URL:       http://gedit.pn.org/
BuildRoot: /var/tmp/gedit-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc
Patch: gedit-0.6.1-noreverse.patch

%description
gEdit is a small but powerful text editor designed specifically for
the GNOME GUI desktop.  gEdit includes a plug-in API (which supports
extensibility while keeping the core binary small), support for
editing multiple documents using notebook tabs, and standard text
editor functions.

You'll need to have GNOME and GTK+ installed to use gEdit.

%package devel
Summary: The files needed for developing plug-ins for the gEdit editor.
Group: Development/Libraries

%description devel
gEdit is a small but powerful text editor for the GNOME GUI desktop.
This package allows you to develop plug-ins that work within gEdit.

Install gedit-devel if you want to write plug-ins for gEdit.

%prep
%setup -q
%patch -p1

%build

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefix=%{prefix} 
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL THANKS
%{prefix}/bin/gedit
%{prefix}/share/locale/*/*/*
%{prefix}/share/gnome/apps/*
%{prefix}/share/gnome/help/gedit
%{prefix}/share/pixmaps/*
%{prefix}/share/mime-info/*
%{prefix}/share/geditrc
%{prefix}/man/*/*
%{prefix}/libexec/*/*/*

%files devel
%defattr(-, root, root)
%{prefix}/include/gedit
%{prefix}/libexec/go/plugins/*

%changelog
* Fri Feb 11 2000 Jonathan Blandford <jrb@redhat.com>
- removed "reverse search function as it doesn't work.

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Mon Jan 17 2000 Elliot Lee <sopwith@redhat.com>
- If I don't put in a log entry here, people will be very upset about not
  being able to find out that I am to blame for the 0.6.1 upgrade

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5.4

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- Cleaned up a bit for Red Hat use

* Thu Oct 22 1998 Alex Roberts <bse@dial.pipex.com>
- First try at an RPM
